<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.BizDeviceInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.BizDeviceInfo">
        <id column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="device" property="device" />
        <result column="mount_point" property="mountPoint" />
        <result column="total_size" property="totalSize" />
        <result column="used_size" property="usedSize" />
        <result column="usage_rate" property="usageRate" />
        <result column="last_online_time" property="lastOnlineTime" />
        <result column="host_id" property="hostId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, id, device, mount_point, total_size, used_size, usage_rate, last_online_time, host_id
    </sql>

</mapper>
